ResourceGroup (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.ResourceGroup class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class ResourceGroup

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.ResourceGroup

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class ResourceGroup

extends PersistedObject
implements ContainerManagedTimestampTrackable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ResourceGroup.ResourceGroupCreateInfo`

Constructor Summary
`ResourceGroup()`

Method Summary
`void` | `addRole(Role role)`
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getClusterId()`
`protected java.util.List` | `getCriteriaList()`
`CritterList` | `getCritterList()` Getter method used to retrieve the criteria list for a ResourceGroup.
`long` | `getCtime()`
`java.lang.String` | `getDescription()`
`java.lang.Integer` | `getGroupEntResType()` Deprecated. Use getResourcePrototype() instead.
`java.lang.Integer` | `getGroupEntType()` Deprecated. Use getResourcePrototype() instead. XXX: ADHOC groups lose the Group or Application types with the change to use a Resource prototype for compatible groups.
`java.lang.Integer` | `getGroupType()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`long` | `getMtime()`
`java.lang.String` | `getName()`
`Resource` | `getResource()`
`ResourceGroupValue` | `getResourceGroupValue()` Deprecated. use (this) ResourceGroup instead
`Resource` | `getResourcePrototype()` If the group is compatable, this method returns the prototype for all resources contained within.
`java.util.Collection` | `getRoles()`
`java.lang.String` | `getSortName()`
`java.lang.Object` | `getValueObject()`
`boolean` | `isCompatableWith(Resource resource)` Checks if this group is compatable with the passed resource.
`boolean` | `isMixed()`
`boolean` | `isOrCriteria()`
`boolean` | `isSystem()`
`void` | `removeAllRoles()`
`void` | `removeRole(Role role)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceGroup

    public ResourceGroup()

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getName

    public java.lang.String getName()

### getSortName

    public java.lang.String getSortName()

### getDescription

    public java.lang.String getDescription()

### getLocation

    public java.lang.String getLocation()

### isSystem

    public boolean isSystem()

### getGroupType

    public java.lang.Integer getGroupType()

### isMixed

    public boolean isMixed()

### getGroupEntType

    public java.lang.Integer getGroupEntType()

  Deprecated. Use getResourcePrototype() instead. XXX: ADHOC groups lose the Group or Application types with the change to use a Resource prototype for compatible groups.

### getGroupEntResType

    public java.lang.Integer getGroupEntResType()

  Deprecated. Use getResourcePrototype() instead.

### getClusterId

    public java.lang.Integer getClusterId()

### isOrCriteria

    public boolean isOrCriteria()

### getCtime

    public long getCtime()

### getMtime

    public long getMtime()

### getModifiedBy

    public java.lang.String getModifiedBy()

### isCompatableWith

    public boolean isCompatableWith(Resource resource)

  Checks if this group is compatable with the passed resource.

  Parameters:
    `resource` - A resource prototype. Note that this is NOT an instance of the prototype.
  Returns:
    false if this is not a compatable group, or if the passed resource is not an instace of this.getResourcePrototype()

### getResourcePrototype

    public Resource getResourcePrototype()

  If the group is compatable, this method returns the prototype for all resources contained within.

### getResource

    public Resource getResource()

### getRoles

    public java.util.Collection getRoles()

### getCriteriaList

    protected java.util.List getCriteriaList()

### getCritterList

    public CritterList getCritterList()
                               throws GroupException

  Getter method used to retrieve the criteria list for a ResourceGroup.

  Returns:
    CritterList The criteria list associated with this ResourceGroup instance.
  Throws:
    `GroupException`

### addRole

    public void addRole(Role role)

### removeRole

    public void removeRole(Role role)

### removeAllRoles

    public void removeAllRoles()

### getResourceGroupValue

    public ResourceGroupValue getResourceGroupValue()

  Deprecated. use (this) ResourceGroup instead

### getValueObject

    public java.lang.Object getValueObject()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.